> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List the app-event catalog

> Selectable app-based trigger events (e.g. app.whatsapp.message_received) with their predefined payload — served from the JSON definition registry (always in sync, no DB).



## OpenAPI

````yaml /api-reference/workflows.yaml get /app-events/catalog
openapi: 3.1.0
info:
  title: Workflows
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /app-events/catalog:
    get:
      tags:
        - App Events
      summary: List the app-event catalog
      description: >-
        Selectable app-based trigger events (e.g. app.whatsapp.message_received)
        with their predefined payload — served from the JSON definition registry
        (always in sync, no DB).
      operationId: listAppEventCatalog
      responses:
        '200':
          description: App-event catalog
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AppEventCatalogEntry'
                required:
                  - data
components:
  schemas:
    AppEventCatalogEntry:
      type: object
      properties:
        appEventType:
          type: string
        label:
          type: string
        appName:
          type: string
        category:
          type: string
          enum:
            - app
            - system
            - device
            - webhook
        packageName:
          type:
            - string
            - 'null'
        sourceEventType:
          type: string
        payloadSchema:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              type:
                type: string
                enum:
                  - string
                  - number
                  - boolean
                  - object
                  - array
              description:
                type: string
              example: {}
            required:
              - name
              - type
              - description
      required:
        - appEventType
        - label
        - appName
        - category
        - packageName
        - sourceEventType
        - payloadSchema
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````